"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
/*
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
const json2typescript_1 = require("json2typescript");
let FpsSettings = class FpsSettings {
    constructor() {
        this.isMultiDevice = false;
        this.isCurrencyChangeAllowed = false;
        this.splitResponseTimeoutSeconds = 120;
        this.flowResponseTimeoutSeconds = 120;
        this.paymentResponseTimeoutSeconds = 120;
        this.statusUpdateTimeoutSeconds = 120;
        this.appOrDeviceSelectionTimeoutSeconds = 120;
        this.shouldAbortOnFlowAppError = false;
        this.shouldAbortOnPaymentError = false;
        this.allowAccessViaStatusBar = false;
        this.alwaysAllowDynamicSelect = false;
        this.filterServicesByFlowType = true;
        this.legacyPaymentAppsEnabled = false;
        this.alwaysCallPreFlow = false;
        this.databaseRowLimit = 100;
    }
};
__decorate([
    json2typescript_1.JsonProperty('isMultiDevice'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "isMultiDevice", void 0);
__decorate([
    json2typescript_1.JsonProperty('isCurrencyChangeAllowed'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "isCurrencyChangeAllowed", void 0);
__decorate([
    json2typescript_1.JsonProperty('splitResponseTimeoutSeconds'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "splitResponseTimeoutSeconds", void 0);
__decorate([
    json2typescript_1.JsonProperty('flowResponseTimeoutSeconds'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "flowResponseTimeoutSeconds", void 0);
__decorate([
    json2typescript_1.JsonProperty('paymentResponseTimeoutSeconds'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "paymentResponseTimeoutSeconds", void 0);
__decorate([
    json2typescript_1.JsonProperty('statusUpdateTimeoutSeconds'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "statusUpdateTimeoutSeconds", void 0);
__decorate([
    json2typescript_1.JsonProperty('appOrDeviceSelectionTimeoutSeconds'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "appOrDeviceSelectionTimeoutSeconds", void 0);
__decorate([
    json2typescript_1.JsonProperty('shouldAbortOnFlowAppError'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "shouldAbortOnFlowAppError", void 0);
__decorate([
    json2typescript_1.JsonProperty('shouldAbortOnPaymentError'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "shouldAbortOnPaymentError", void 0);
__decorate([
    json2typescript_1.JsonProperty('allowAccessViaStatusBar'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "allowAccessViaStatusBar", void 0);
__decorate([
    json2typescript_1.JsonProperty('alwaysAllowDynamicSelect'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "alwaysAllowDynamicSelect", void 0);
__decorate([
    json2typescript_1.JsonProperty('filterServicesByFlowType'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "filterServicesByFlowType", void 0);
__decorate([
    json2typescript_1.JsonProperty('legacyPaymentAppsEnabled'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "legacyPaymentAppsEnabled", void 0);
__decorate([
    json2typescript_1.JsonProperty('alwaysCallPreFlow'),
    __metadata("design:type", Boolean)
], FpsSettings.prototype, "alwaysCallPreFlow", void 0);
__decorate([
    json2typescript_1.JsonProperty('databaseRowLimit'),
    __metadata("design:type", Number)
], FpsSettings.prototype, "databaseRowLimit", void 0);
FpsSettings = __decorate([
    json2typescript_1.JsonObject('FpsSettings')
], FpsSettings);
exports.FpsSettings = FpsSettings;
