import { Jsonable } from '../jsonable';
export declare class ConfirmationInput extends Jsonable {
    valueType: string;
    maxValueLength: number;
    minValueLength: number;
    valueRegEx?: string;
    /**
       * Convert a JSON string into an {@link ConfirmationInput} object if possible
       *
       * @param json The JSON to convert
       */
    static fromJson(json: string): ConfirmationInput;
}
