export declare enum ConfirmationInputTypes {
    CONFIRMATION_INPUT_TYPE_TEXT = "text",
    CONFIRMATION_INPUT_TYPE_NUMERIC = "numeric",
    CONFIRMATION_INPUT_TYPE_PHONE = "phone",
    CONFIRMATION_INPUT_TYPE_EMAIL = "email",
    CONFIRMATION_INPUT_TYPE_WEB = "web"
}
export declare enum ConfirmationOptionValues {
    CONFIRMATION_OPTION_APPROVE = "approve",
    CONFIRMATION_OPTION_REJECT = "reject",
    CONFIRMATION_OPTION_YES = "yes",
    CONFIRMATION_OPTION_NO = "no",
    CONFIRMATION_OPTION_OK = "ok",
    CONFIRMATION_OPTION_CANCEL = "cancel"
}
export declare enum ConfirmationTypes {
    CONFIRMATION_TYPE_CARD = "card",
    CONFIRMATION_TYPE_SIGNATURE = "signature"
}
export declare enum FlowEventTypes {
    EVENT_CONFIRMATION_REQUEST = "confirmationRequest",
    EVENT_CONFIRMATION_RESPONSE = "confirmationResponse",
    EVENT_FINAL_AMOUNT_REQUEST = "finalAmountRequest",
    EVENT_FINAL_AMOUNT_RESPONSE = "finalAmountResponse",
    EVENT_NOTIFY_ACTION = "notifyAction",
    EVENT_PROGRESS_MESSAGE = "progressMessage",
    EVENT_RECEIPT = "receipt"
}
export declare enum NotifyActionTypes {
    ABORT = "abort",
    DUPLICATE_RECEIPT = "duplicateReceipt",
    EMV_RECEIPT_PRINT = "emvReceiptPrint",
    EFT_COMMUNICATION_FINISHED = "eftFinished",
    COMMUNICATION_FINISHED = "communicationFinished",
    COMMUNICATION_STARTED = "communicationStarted"
}
