import { Jsonable } from '../jsonable';
export declare class Receipt extends Jsonable {
    receiptType: string;
    receiptText?: string;
    receiptData?: string;
    receiptDataFormat?: string;
    /**
       * Convert a JSON string into an {@link Receipt} object if possible
       *
       * @param json The JSON to convert
       */
    static fromJson(json: string): Receipt;
}
