import { AdditionalData } from './additional-data';
import { Jsonable } from './jsonable';
/**
 * Represents an event in the flow.
 */
export declare class FlowEvent extends Jsonable {
    type: string;
    data: AdditionalData;
    eventTrigger?: string;
    originatingRequestId?: string;
    source?: string;
    deviceId?: string;
    static from(type: string, eventTrigger: string, data?: AdditionalData): FlowEvent;
    static fromJson(json: string): FlowEvent;
}
