import { AdditionalData } from './additional-data';
/**
 * Represents the capabilities of a flow service.
 */
export declare class PaymentFlowServiceInfo {
    id: string;
    packageName: string;
    vendor: string;
    serviceVersion: string;
    apiVersion: string;
    displayName: string;
    hasAccessibilityMode: boolean;
    supportedFlowTypes: Array<string>;
    customRequestTypes: Array<string>;
    supportedDataKeys: Array<string>;
    additionalInfo: AdditionalData;
    stages: Array<string>;
    canAdjustAmounts: boolean;
    canPayAmounts: boolean;
    defaultCurrency: string;
    supportedCurrencies: Array<string>;
    paymentMethods: Array<string>;
}
