import { Jsonable } from '../jsonable';
import { ConfirmationInput } from './confirmation-input';
export declare class ConfirmationRequest extends Jsonable {
    id: string;
    type: string;
    titleText?: string;
    description?: string;
    confirmationOptions?: string;
    multiSelect: boolean;
    confirmationInput: ConfirmationInput;
    /**
       * Convert a JSON string into an {@link ConfirmationRequest} object if possible
       *
       * @param json The JSON to convert
       */
    static fromJson(json: string): ConfirmationRequest;
}
