import { Jsonable } from './jsonable';
/**
 * Token that can be used to identify an entity, typically a customer or a merchant.
 *
 * How the value is generated is bespoke to the application that fulfilled the request.
 */
export declare class Token extends Jsonable {
    value: string;
    source: string;
    algorithm?: string;
    sourceAppId?: string;
    static from(value: string, source: string, algorithm?: string, sourceAppId?: string): Token;
}
