import { Jsonable } from '../jsonable';
import { Amounts } from '../amounts';
export declare enum FinalAmountStatusType {
    KNOWN = "KNOWN",
    UNKNOWN = "UNKNOWN",
    ABORT = "ABORT"
}
export declare class FinalAmountResponse extends Jsonable {
    type: FinalAmountStatusType;
    amount?: Amounts;
    /**
       * Convert a JSON string into an {@link FinalAmountResponse} object if possible
       *
       * @param json The JSON to convert
       */
    static fromJson(json: string): FinalAmountResponse;
}
